
#include <IRremote.h> // подключаем библиотеку для ИК приемника

// Константы программы
const int irPin = 11; // порт для ИК приемника

IRrecv irRec(irPin); // Инициализируем объект ИК приемника
decode_results irData; // переменная для получения данных от ИК приемника

void setup()
{
  Serial.begin(115200); // Иницилизация последовательного порта, для вывода отладочной информации

  irRec.enableIRIn(); // запускаем прием инфракрасного сигнала

}


void loop()
{
  if (irRec.decode(&irData)) // Получение данных с ИК приемник
  {
    // Данные пришли - анализируем, выполняем команды с пульта:
    // Serial.println(irData.value); // выводим полученные данные на порт

    if (irData.value == 16756815)
      // Меню
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0x73);
      Serial.write((uint8_t)0x23);
    }
    if (irData.value == 16750695)
      // Назад
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0x84);
      Serial.write((uint8_t)0x12);
    }
    if (irData.value == 16738455)
      // Вход
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0x90);
      Serial.write((uint8_t)0x06);
    }
    if (irData.value == 16716015)
      // Влево
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0x72);
      Serial.write((uint8_t)0x24);
    }
    if (irData.value == 16734885)
      // Вправо
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0x74);
      Serial.write((uint8_t)0x22);
    }
    if (irData.value == 16718055)
      // Вверх
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0x63);
      Serial.write((uint8_t)0x33);
    }
    if (irData.value == 16730805)
      // Вниз
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0x83);
      Serial.write((uint8_t)0x13);
    }
    if (irData.value == 16726215)
      // Ok
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0x96);
      Serial.write((uint8_t)0x00);
    }
    if (irData.value == 16748655)
      // Звук -
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0xc3);
      Serial.write((uint8_t)0xd3);
    }
    if (irData.value == 16761405)
      // Звук +
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0xc2);
      Serial.write((uint8_t)0xd4);
    }
    if (irData.value == 16769565)
      // Звук Выкл
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0xc1);
      Serial.write((uint8_t)0xd5);
    }
    if (irData.value == 16753245)
      // Выкл
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0xd0);
      Serial.write((uint8_t)0xc6);
    }
    if (irData.value == 16754775)
      // 16:9 или 4:3
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0xb6);
      Serial.write((uint8_t)0xe0);
    }
    if (irData.value == 16769055)
      // Настройки звука
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0xd3);
      Serial.write((uint8_t)0xc3);
    }
    if (irData.value == 16712445)
      // Сон
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0x91);
      Serial.write((uint8_t)0x05);
    }
    if (irData.value == 16720605)
      // Пауза
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0xb5);
      Serial.write((uint8_t)0xe1);
    }
    if (irData.value == 16736925)
      // Инфо
    {
      Serial.write((uint8_t)0x69);
      Serial.write((uint8_t)0xa1);
      Serial.write((uint8_t)0xf5);
    }




    irRec.resume(); // принимаем следующий сигнал на ИК приемнике
  }

  delay(5); // небольшая пауза, 0,1 сек.
}
